Package com.ngrok.definitions

# Class EndpointOAuth

java.lang.Object
com.ngrok.definitions.EndpointOAuth

public class EndpointOAuth extends Object
A class encapsulating the `EndpointOAuth` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EndpointOAuth.Builder`
  Builder class for `EndpointOAuth`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `long`
  `getAuthCheckInterval()`
  Integer number of seconds after which ngrok guarantees it will refresh user state from the identity provider and recheck whether the user is still authorized to access the endpoint.
  `String`
  `getCookiePrefix()`
  the prefix of the session cookie that ngrok sets on the http client to cache authentication.
  `Optional<Boolean>`
  `getEnabled()`
  `true` if the module will be applied to traffic, `false` to disable.
  `long`
  `getInactivityTimeout()`
  Integer number of seconds of inactivity after which if the user has not accessed the endpoint, their session will time out and they will be forced to reauthenticate.
  `Duration`
  `getMaximumDuration()`
  Integer number of seconds of the maximum duration of an authenticated session.
  `boolean`
  `getOptionsPassthrough()`
  Do not enforce authentication on HTTP OPTIONS requests.
  `EndpointOAuthProvider`
  `getProvider()`
  an object which defines the identity provider to use for authentication and configuration for who may access the endpoint
  `int`
  `hashCode()`
  `static EndpointOAuth.Builder`
  `newBuilder()`
  Creates a new builder for the `EndpointOAuth` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EndpointOAuth.Builder newBuilder()
    Creates a new builder for the `EndpointOAuth` type.
    Returns:
      a new `EndpointOAuth.Builder`

  - ### getEnabled

    public Optional<Boolean> getEnabled()
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getProvider

    public EndpointOAuthProvider getProvider()
    an object which defines the identity provider to use for authentication and configuration for who may access the endpoint
    Returns:
      the value of the property as a `EndpointOAuthProvider`

  - ### getOptionsPassthrough

    public boolean getOptionsPassthrough()
    Do not enforce authentication on HTTP OPTIONS requests. necessary if you are supporting CORS.
    Returns:
      the value of the property as a `boolean`

  - ### getCookiePrefix

    public String getCookiePrefix()
    the prefix of the session cookie that ngrok sets on the http client to cache authentication. default is 'ngrok.'
    Returns:
      the value of the property as a `String`

  - ### getInactivityTimeout

    public long getInactivityTimeout()
    Integer number of seconds of inactivity after which if the user has not accessed the endpoint, their session will time out and they will be forced to reauthenticate.
    Returns:
      the value of the property as a `long`

  - ### getMaximumDuration

    public Duration getMaximumDuration()
    Integer number of seconds of the maximum duration of an authenticated session. After this period is exceeded, a user must reauthenticate.
    Returns:
      the value of the property as a `Duration`

  - ### getAuthCheckInterval

    public long getAuthCheckInterval()
    Integer number of seconds after which ngrok guarantees it will refresh user state from the identity provider and recheck whether the user is still authorized to access the endpoint. This is the preferred tunable to use to enforce a minimum amount of time after which a revoked user will no longer be able to access the resource.
    Returns:
      the value of the property as a `long`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`